Package org.eclipse.birt.report.engine.api

# Class PDFRenderContext

java.lang.Object
org.eclipse.birt.report.engine.api.PDFRenderContext

@Deprecated public class PDFRenderContext extends Object
Deprecated.
set the option to RenderOption directly.
Defines the context for rendering report in PDF emitter. Objects stored in the context object is mainly used for font, image, action handling, but can be used for other purposes too.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`baseURL`
Deprecated.
base URL used for action handler
`protected String`
`fontDirectory`
Deprecated.
user-defined font directory
`protected boolean`
`isEmbededFont`
Deprecated.
`protected String`
`supportedImageFormats`
Deprecated.
the image formats supported by the browser

## Constructor Summary

Constructors
Constructor
Description
`PDFRenderContext()`
Deprecated.
dummy constructor

## Method Summary

Modifier and Type
Method
Description
`String`
`getBaseURL()`
Deprecated.
Returns the base URL for creating an Action URL
`String`
`getFontDirectory()`
Deprecated.
`String`
`getSupportedImageFormats()`
Deprecated.
`boolean`
`isEmbededFont()`
Deprecated.
`void`
`setBaseURL(String baseURL)`
Deprecated.
sets the base URL for action handling
`void`
`setEmbededFont(boolean isEmbededFont)`
Deprecated.
Set flag indicates if the font needs to be embedded.
`void`
`setFontDirectory(String fontDirectory)`
Deprecated.
`void`
`setSupportedImageFormats(String formats)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### baseURL

protected String baseURL
Deprecated.
base URL used for action handler

### isEmbededFont

protected boolean isEmbededFont
Deprecated.

### supportedImageFormats

protected String supportedImageFormats
Deprecated.
the image formats supported by the browser

### fontDirectory

protected String fontDirectory
Deprecated.
user-defined font directory

## Constructor Details

### PDFRenderContext

public PDFRenderContext()
Deprecated.
dummy constructor

## Method Details

### getBaseURL

public String getBaseURL()
Deprecated.
Returns the base URL for creating an Action URL

Returns:
  the baseURL.

### setBaseURL

public void setBaseURL(String baseURL)
Deprecated.
sets the base URL for action handling

Parameters:
  `baseURL` - sets the base URL used for action handling

### setSupportedImageFormats

public void setSupportedImageFormats(String formats)
Deprecated.

Parameters:
  `formats` - - the image format supported by the browser

### getSupportedImageFormats

public String getSupportedImageFormats()
Deprecated.

Returns:
  the image format supported by the browser

### setEmbededFont

public void setEmbededFont(boolean isEmbededFont)
Deprecated.
Set flag indicates if the font needs to be embedded.

Parameters:
  `isEmbededFont` -

### isEmbededFont

public boolean isEmbededFont()
Deprecated.

Returns:
  true if font is embedded

### getFontDirectory

public String getFontDirectory()
Deprecated.

Returns:
  the user-defined font directory

### setFontDirectory

public void setFontDirectory(String fontDirectory)
Deprecated.

Parameters:
  `fontDirectory` - the user-defined font directory